---
title: GlobalEventHandlers.ontouchstart
slug: Web/API/GlobalEventHandlers/ontouchstart
tags:
  - API
  - Event Handler
  - Experimental
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}} {{SeeCompatTable}}</div>

<p>The <code><strong>ontouchstart</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("touchstart")}} events.</p>

<div class="note">
<p><strong>Note:</strong> This attribute has <em>not</em> been formally standardized. It is specified in the {{SpecName('Touch Events 2')}} {{Spec2('Touch Events 2')}} specification and not in {{SpecName('Touch Events')}} {{Spec2('Touch Events')}}. This attribute is not widely implemented.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>startHandler</em> = <em>someElement</em>.ontouchstart;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>startHandler</code></dt>
 <dd>The <code>touchstart</code> event handler for element <code>someElement</code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows two ways to use <code>ontouchstart</code> to set an element's <code>touchstart</code> event handler.</p>

<pre class="brush: js">&lt;html&gt;
&lt;script&gt;
function startTouch(ev) {
  // Process the event
}
function init() {
  let el = document.getElementById('target1');
  el.ontouchstart = startTouch;
}
&lt;/script&gt;

&lt;body onload="init();"&gt;
  &lt;div id="target1"&gt; Touch me ... &lt;/div&gt;
  &lt;div id="target2" ontouchstart="startTouch(event)"&gt; Touch me ... &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-globaleventhandlers-ontouchstart')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.ontouchstart")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ event("touchstart") }}</li>
</ul>
